# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved. 
import WebCenterWLSTHelper as wlsthelper
wlsthelper.loadHandler('WebCenterWLSTHelper')
wlsthelper.loadHandler('ExpImpHandler')
import ExpImpHandler as expimphandler

def expimpCheck():
    expimphandler.expimpCheck()

def exportGroupSpaces(appName, fileName, names=None, exportCustomizations=1, exportSecurity=1, exportData=1, forceOffline=0, exportContentDirectory=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    expimphandler.exportGroupSpaces(appName, fileName, names, 1, 1, 1, forceOffline, exportContentDirectory, server,applicationVersion)
    webcenterRestore(origDirectory)

def exportGroupSpaceTemplates(appName, fileName, names=None, exportContentDirectory=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    expimphandler.exportGroupSpaceTemplates(appName, fileName, names, exportContentDirectory, server,applicationVersion)
    webcenterRestore(origDirectory)

def importGroupSpaces(appName, fileName, importCustomizations=1, importSecurity=1, importData=1, forceOffline=0, parentSpace='', overwriteContentDirectory=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    expimphandler.importGroupSpaces(appName, fileName, importCustomizations, importSecurity, importData, forceOffline, parentSpace, overwriteContentDirectory, server,applicationVersion)
    webcenterRestore(origDirectory)

def exportWebCenterResource(appName, fileName, resourceType, resourceGUID, spaceName=None, exportContentDirectory=0, server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    expimphandler.exportSiteResources(appName, fileName, spaceName, resourceType, resourceGUID, exportContentDirectory, server,applicationVersion)
    webcenterRestore(origDirectory)

def importWebCenterResource(appName, fileName, resourceType, spaceName=None, spaceGUID=None, overwriteContentDirectory=0,server='',applicationVersion=''):
    origDirectory = webcenterInitialize(server,applicationVersion)
    if spaceGUID is None:
        expimphandler.importSiteResources(appName, fileName, spaceName, resourceType, overwriteContentDirectory,server,applicationVersion)
    else:
        expimphandler.importSiteResourcesInternal(appName, fileName, spaceGUID, resourceType, overwriteContentDirectory,server,applicationVersion)    
    webcenterRestore(origDirectory)
